[sdk/kde-builder] scripts: initial_setup: Recommend to use venv on fedora kinoite
Andrew Shark <[email protected]>
| Newsgroups | gmane.comp.kde.cvs |
|---|---|
| Message-ID | <[email protected]> |
Git commit 45d343f49669dac93e305d01f2d1463c729965fd by Andrew Shark.
Committed on 23/07/2026 at 13:43.
Pushed by ashark into branch 'master'.
initial_setup: Recommend to use venv on fedora kinoite
Fixes #213
M +6 -0 scripts/initial_setup.sh
https://invent.kde.org/sdk/kde-builder/-/commit/45d343f49669dac93e305d01f2d1463c729965fd
diff --git a/scripts/initial_setup.sh b/scripts/initial_setup.sh
index fb110a14..b1c73974 100755
--- a/scripts/initial_setup.sh
+++ b/scripts/initial_setup.sh
@@ -32,6 +32,12 @@ install_runtime_packages() {
(set -x; sudo apt update)
(set -x; sudo apt install git python3-dbus python3-yaml python3-setproctitle)
elif [ "$ID" = "fedora" ]; then
+ if [[ "$VARIANT_ID" = "kinoite" ]]; then
+ echo -e "${Red}Error: Unsupported OS variant: ${Yellow}$VARIANT_ID${Red}, cannot install runtime packages.${Color_Off}" 1>&2
+ echo -e "${Red}Please visit documentation page for alternative installation method: https://kde-builder.kde.org/en/getting-started/alternative-installation.html#using-a-python-virtual-environment${Color_Off}"
+ err_report # manually show error message
+ exit 1
+ fi
(set -x; sudo dnf install git python3-dbus python3-pyyaml python3-setproctitle)
elif [ "$ID" = "gentoo" ]; then
(set -x; sudo emerge -qu dev-python/dbus-python dev-python/pyyaml dev-python/setproctitle)